#include <LiquidCrystal.h>

// 初始化LiquidCrystal库的接口引脚
const int rs = 7;    // 连接到LCD的RS引脚
const int en = 8;    // 连接到LCD的EN引脚
const int d4 = 9;    // 连接到LCD的D4引脚
const int d5 = 10;   // 连接到LCD的D5引脚
const int d6 = 11;   // 连接到LCD的D6引脚
const int d7 = 12;   // 连接到LCD的D7引脚

// 创建一个液晶显示对象，使用以上定义的引脚
LiquidCrystal lcd(rs, en, d4, d5, d6, d7);

void setup() {
  // 设置LCD的列数和行数
  lcd.begin(16, 2);
  
  // 显示一条测试消息
  lcd.print("Hello, World!");
  
  // 移动到第二行
  lcd.setCursor(0, 1);
  lcd.print("1602 LCD Test");
}

void loop() {
  // 空的循环，因为我们只需要显示静态信息
}
